#  Copyright (c) European Space Agency, 2017, 2018, 2019, 2020, 2021, 2022.
#
#  This file is subject to the terms and conditions defined in file 'LICENCE.txt', which
#  is part of this Pyxel package. No part of the package, including
#  this file, may be copied, modified, propagated, or distributed except according to
#  the terms contained in the file ‘LICENCE.txt’.

from typing import Any

import pytest

from pyxel.pipelines.processor import get_obj_att


@pytest.mark.parametrize(
    "obj, key, exp_result",
    [
        pytest.param(
            {"processor": {"pipeline": {"models": [1, 2, 3]}}},
            "processor.pipeline.models",
            ({"models": [1, 2, 3]}, "models"),
            id="dict",
        ),
    ],
)
def test_get_obj_att(obj: Any, key: str, exp_result):
    """Test function 'get_obj_att'."""

    result = _get_obj_att(obj=obj, key=key)
    assert result == exp_result
